commit:     7937a9f46c835b85f07222d0cd30f49176efb2b5
Author:     Michael Palimaka <kensington <AT> gentoo <DOT> org>
AuthorDate: Fri Feb  2 23:36:11 2018 +0000
Commit:     Michael Palimaka <kensington <AT> gentoo <DOT> org>
CommitDate: Fri Feb  2 23:36:31 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=7937a9f4

app-text/aspell: remove 0.60.6.1-r3/r4

Package-Manager: Portage-2.3.19, Repoman-2.3.6

 app-text/aspell/Manifest                  |  1 -
 app-text/aspell/aspell-0.60.6.1-r3.ebuild | 97 -------------------------------
 app-text/aspell/aspell-0.60.6.1-r4.ebuild | 87 ---------------------------
 3 files changed, 185 deletions(-)

diff --git a/app-text/aspell/Manifest b/app-text/aspell/Manifest
index 5cde01a3e35..7ba272c2052 100644
--- a/app-text/aspell/Manifest
+++ b/app-text/aspell/Manifest
@@ -1,2 +1 @@
-DIST aspell-0.60.6.1.tar.gz 1878163 BLAKE2B 
c5427be61945fce106df1e76f745f5dd9d754ac71b8ecb4c8dff89ef2de44f2a0042ffde31e1db9ea6a255f3c6bd4148702181c2e718bd8ebdffdc09d2ef8333
 SHA512 
f310c7590be98406589b5c26ca36a2ecfe4733f0b40fd6c176b96b7955ef2b5cd0ec9a3d770cf132146ae7a896042b4b698945112995ee1ae66adcfa5542247f
 DIST aspell-0.60.7-rc1.tar.gz 2034916 BLAKE2B 
7518660b0bb7f75aa3b659519a97132675b39dac7e8806d5450d43f40d62683e4c4a41a8c18cd08b6ab9ca53911caeb87e0898eb04ad9d2f98185e2bb6033d5c
 SHA512 
e13240d78b8afd74d8a8cfd5fc7fe2081de85b33621e86543cdf942ed601d36c4e0cbf38a54be083e951127fa9435677cec2997387cb0e7b51a5597386e7e8d1

diff --git a/app-text/aspell/aspell-0.60.6.1-r3.ebuild 
b/app-text/aspell/aspell-0.60.6.1-r3.ebuild
deleted file mode 100644
index bd7082628c1..00000000000
--- a/app-text/aspell/aspell-0.60.6.1-r3.ebuild
+++ /dev/null
@@ -1,97 +0,0 @@
-# Copyright 1999-2018 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=5
-
-inherit autotools eutils flag-o-matic libtool toolchain-funcs
-
-DESCRIPTION="A spell checker replacement for ispell"
-HOMEPAGE="http://aspell.net/";
-SRC_URI="mirror://gnu/aspell/${P}.tar.gz"
-
-LICENSE="LGPL-2"
-SLOT="0"
-KEYWORDS="alpha amd64 arm hppa ia64 ~m68k ~mips ppc ppc64 ~s390 ~sh sparc x86 
~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos 
~sparc-solaris ~x86-solaris"
-IUSE="nls"
-
-PDEPEND="app-dicts/aspell-en"
-LANGS="af be bg br ca cs cy da de de-1901 el en eo es et fi fo fr ga gl he hr
-hu hy is it la lt nl no pl pt pt-BR ro ru sk sl sr sv uk vi"
-for lang in ${LANGS}; do
-       IUSE+=" l10n_${lang}"
-       case ${lang} in
-               de-1901) dict="de-alt"  ;;
-               pt-BR)   dict="pt-br"   ;;
-               *)       dict="${lang}" ;;
-       esac
-       PDEPEND+=" l10n_${lang}? ( app-dicts/aspell-${dict} )"
-done
-unset dict lang LANGS
-
-COMMON_DEPEND="
-       >=sys-libs/ncurses-5.2:0=
-       nls? ( virtual/libintl )
-"
-DEPEND="${COMMON_DEPEND}
-       virtual/pkgconfig
-       nls? ( sys-devel/gettext )
-"
-
-# English dictionary 0.5 is incompatible with aspell-0.6
-RDEPEND="${COMMON_DEPEND}
-       !=app-dicts/aspell-en-0.5*
-"
-
-src_prepare() {
-       # fix for bug #467602
-       if has_version ">=sys-devel/automake-1.13" ; then
-               sed -i -e 's/AM_CONFIG_HEADER/AC_CONFIG_HEADERS/g' \
-                       "${S}"/configure.ac || die
-       fi
-
-       epatch \
-               "${FILESDIR}/${PN}-0.60.5-nls.patch" \
-               "${FILESDIR}/${PN}-0.60.5-solaris.patch" \
-               "${FILESDIR}/${PN}-0.60.6-darwin-bundles.patch" \
-               "${FILESDIR}/${PN}-0.60.6.1-clang.patch"
-
-       rm m4/lt* m4/libtool.m4
-       eautoreconf
-       elibtoolize --reverse-deps
-
-       # Parallel install of libtool libraries doesn't always work.
-       # https://lists.gnu.org/archive/html/libtool/2011-03/msg00003.html
-       # This has to be after automake has run so that we don't clobber
-       # the default target that automake creates for us.
-       echo 'install-filterLTLIBRARIES: install-libLTLIBRARIES' >> Makefile.in 
|| die
-
-}
-
-src_configure() {
-       if has_version "sys-libs/ncurses[unicode]" ; then
-               CURSES_LIB="$($(tc-getPKG_CONFIG) --libs ncursesw)"
-       else
-               CURSES_LIB="$($(tc-getPKG_CONFIG) --libs ncurses)"
-       fi
-
-       CURSES_LIB="${CURSES_LIB}" econf \
-               $(use_enable nls) \
-               --disable-static \
-               --sysconfdir="${EPREFIX}"/etc/aspell \
-               --enable-docdir="${EPREFIX}"/usr/share/doc/${PF}
-}
-
-src_install() {
-       default
-
-       dodoc README* TODO
-       dohtml -r manual/aspell{,-dev}.html
-       docinto examples
-       dodoc "${S}"/examples/*.c
-
-       # install ispell/aspell compatibility scripts
-       newbin scripts/ispell ispell-aspell
-       newbin scripts/spell spell-aspell
-
-       prune_libtool_files --modules
-}

diff --git a/app-text/aspell/aspell-0.60.6.1-r4.ebuild 
b/app-text/aspell/aspell-0.60.6.1-r4.ebuild
deleted file mode 100644
index 47423f0e0b0..00000000000
--- a/app-text/aspell/aspell-0.60.6.1-r4.ebuild
+++ /dev/null
@@ -1,87 +0,0 @@
-# Copyright 1999-2018 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=6
-
-inherit autotools flag-o-matic libtool toolchain-funcs
-
-DESCRIPTION="A spell checker replacement for ispell"
-HOMEPAGE="http://aspell.net/";
-SRC_URI="mirror://gnu/aspell/${P}.tar.gz"
-
-LICENSE="LGPL-2"
-SLOT="0"
-KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sh 
~sparc ~x86 ~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos 
~x86-macos ~sparc-solaris ~x86-solaris"
-IUSE="nls unicode"
-
-PDEPEND="app-dicts/aspell-en"
-LANGS="af be bg br ca cs cy da de de-1901 el en eo es et fi fo fr ga gl he hr
-hu hy is it la lt nl no pl pt pt-BR ro ru sk sl sr sv uk vi"
-for lang in ${LANGS}; do
-       IUSE+=" l10n_${lang}"
-       case ${lang} in
-               de-1901) dict="de-alt"  ;;
-               pt-BR)   dict="pt-br"   ;;
-               *)       dict="${lang}" ;;
-       esac
-       PDEPEND+=" l10n_${lang}? ( app-dicts/aspell-${dict} )"
-done
-unset dict lang LANGS
-
-# English dictionary 0.5 is incompatible with aspell-0.6
-RDEPEND="
-       sys-libs/ncurses:0=[unicode?]
-       nls? ( virtual/libintl )
-       !=app-dicts/aspell-en-0.5*
-"
-DEPEND="${RDEPEND}
-       virtual/pkgconfig
-       nls? ( sys-devel/gettext )
-"
-
-HTML_DOCS=( manual/aspell{,-dev}.html )
-PATCHES=(
-       "${FILESDIR}/${PN}-0.60.5-nls.patch"
-       "${FILESDIR}/${PN}-0.60.5-solaris.patch"
-       "${FILESDIR}/${PN}-0.60.6-darwin-bundles.patch"
-       "${FILESDIR}/${PN}-0.60.6.1-clang.patch"
-       # includes fix for bug #467602
-       "${FILESDIR}/${PN}-0.60.6.1-unicode.patch"
-)
-
-src_prepare() {
-       default
-
-       rm m4/lt* m4/libtool.m4 || die
-       eautoreconf
-       elibtoolize --reverse-deps
-
-       # Parallel install of libtool libraries doesn't always work.
-       # https://lists.gnu.org/archive/html/libtool/2011-03/msg00003.html
-       # This has to be after automake has run so that we don't clobber
-       # the default target that automake creates for us.
-       echo 'install-filterLTLIBRARIES: install-libLTLIBRARIES' >> Makefile.in 
|| die
-}
-
-src_configure() {
-       econf \
-               $(use_enable nls) \
-               $(use_enable unicode) \
-               --disable-static \
-               --sysconfdir="${EPREFIX}"/etc/aspell
-}
-
-src_install() {
-       default
-
-       docinto examples
-       dodoc "${S}"/examples/*.c
-
-       # install ispell/aspell compatibility scripts
-       newbin scripts/ispell ispell-aspell
-       newbin scripts/spell spell-aspell
-
-       # we explicitly pass '--disable-static' to econf,
-       # hence we can delete .la files unconditionally
-       find "${D}" -name '*.la' -delete || die
-}

Reply via email to